package tetris.model;

import tetris.Tetris;
import tetris.gui.Block;

/**
 * The class Field implements the playing field of a Tetris game.
 *
 * @author Stephan Fischli
 * @version 2.1
 */
public class Field {

	/**
	 * Detects if the specified blocks collide with the border of the field.
	 *
	 * @param blocks the blocks to check for collision
	 * @return true if one of the blocks collides, false otherwise
	 */
	public boolean detectCollision(Block[] blocks) {
		for (Block block : blocks) {
			if (block.x < 0 || block.x >= Tetris.WIDTH || block.y < 0 || block.y >= Tetris.HEIGHT) {
				return true;
			}
		}
		return false;
	}
}
